## com.puppycrawl.tools.checkstyle.api
Enum Scope

    java.lang.Object
      java.lang.Enum<Scope>
          com.puppycrawl.tools.checkstyle.api.Scope

All Implemented Interfaces:
  Serializable, Comparable<Scope>

    public enum Scope

extends Enum<Scope>

Represents a Java visibility scope.

Author:
  Lars Kühne, Travis Schneeberger

Enum Constant Summary
`ANONINNER` anonymous inner scope.
`NOTHING` nothing scope.
`PACKAGE` package or default scope.
`PRIVATE` private scope.
`PROTECTED` protected scope.
`PUBLIC` protected scope.

Method Summary
`static Scope` `getInstance(String aScopeName)` Scope factory method.
`String` `getName()`
`boolean` `isIn(Scope aScope)` Checks if this scope is a subscope of another scope.
`String` `toString()`
`static Scope` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Scope[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOTHING

    public static final Scope NOTHING

  nothing scope.

### PUBLIC

    public static final Scope PUBLIC

  protected scope.

### PROTECTED

    public static final Scope PROTECTED

  protected scope.

### PACKAGE

    public static final Scope PACKAGE

  package or default scope.

### PRIVATE

    public static final Scope PRIVATE

  private scope.

### ANONINNER

    public static final Scope ANONINNER

  anonymous inner scope.

Method Detail

### values

    public static Scope[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Scope c : Scope.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Scope valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Scope>`

### getName

    public String getName()

  Returns:
    the name of this severity level.

### isIn

    public boolean isIn(Scope aScope)

  Checks if this scope is a subscope of another scope. Example: PUBLIC is a subscope of PRIVATE.

  Parameters:
    `aScope` - a `Scope` value
  Returns:
    if `this` is a subscope of `aScope`.

### getInstance

    public static Scope getInstance(String aScopeName)

  Scope factory method.

  Parameters:
    `aScopeName` - scope name, such as "nothing", "public", etc.
  Returns:
    the `Scope` associated with `aScopeName`

Copyright © 2001-2011. All Rights Reserved.